<?php
if (function_exists('kc_add_map')) { 
    kc_add_map(
        array(
            'ourteam' => array(
                'name'          => esc_html__( 'Our Team', 'deep' ),
                'description'   => esc_html__( 'Team member', 'deep' ),
                'icon'          => 'webnus-ourteam',
                'category'      => esc_html__( 'Webnus Shortcodes', 'deep' ),
                'params'        => array(
                    'general' => array(
                        array(
                            'name'          => 'type',
                            'label'         => esc_html__( 'Type', 'deep' ),
                            'type'          => 'select',
                            'options'       => array(
                                '1'   => 'Type 1',
                                '2'   => 'Type 2',
                                '3'   => 'Type 3',
                                '4'   => 'Type 4',
                                '5'   => 'Type 5',
                                '6'   => 'Type 6',
                                '7'   => 'Type 7',
                                '8'   => 'Type 8',
                                '9'   => 'Type 9',
                                '10'  => 'Type 10',
                                '11'  => 'Type 11',
                                '12'  => 'Type 12',
                                '13'  => 'Type 13',
                                '14'  => 'Type 14',
                                '15'  => 'Type 15',
                                ),
                            'description'   => esc_html__( 'You can choose from these pre-designed types.', 'deep'),
                        ),
                        array(
                            'name'          => 'img',
                            'label'         => esc_html__( 'Team Image', 'deep' ),
                            'type'          => 'attach_image',
                            'description'   => esc_html__( 'Team member image', 'deep'),
                            'relation'      => array(
                                'parent'     => 'type',
                                'hide_when'  => array( '9' , '10' ),
                            ),
                        ),
                        array(
                            'name'          => 'thumbnail',
                            'label'         => esc_html__( 'Image Size', 'deep' ),
                            'type'          => 'text',
                            'description'   => esc_html__( 'Enter image size (Example: 200x100 (Width x Height)).', 'deep'),
                            'relation'      => array(
                                'parent'     => 'type',
                                'hide_when'  => array( '9' , '10' , '12' , '13' , '15' ),
                            ),
                        ),
                        array(
                            'name'          => 'number',
                            'label'         => esc_html__( 'Number', 'deep' ),
                            'type'          => 'text',
                            'relation'      => array(
                                'parent'     => 'type',
                                'show_when'  => array( '13' ),
                            ),
                        ),
                        array(
                            'name'          => 'name',
                            'label'         => esc_html__( 'Team Member Name', 'deep' ),
                            'type'          => 'text',
                            'description'   => esc_html__( 'Team member name', 'deep'),
                            'relation'      => array(
                                'parent'     => 'type',
                                'hide_when'  => array( '9' , '10' , '12' ),
                            ),
                        ),
                        array(
                            'name'          => 'title',
                            'label'         => esc_html__( 'Team Member Title', 'deep' ),
                            'type'          => 'text',
                            'description'   => esc_html__( 'Team member title', 'deep'),
                            'relation'      => array(
                                'parent'     => 'type',
                                'hide_when'  => array( '9' , '10' ),
                            ),
                        ),
                        array(
                            'name'          => 'text',
                            'label'         => esc_html__( 'Team Member Description Text', 'deep' ),
                            'type'          => 'textarea',
                            'description'   => esc_html__( 'Team member description text', 'deep'),
                            'relation'      => array(
                                'parent'     => 'type',
                                'show_when'  => '6',
                            ),
                        ),
                        array(
                            'name'          => 'link',
                            'label'         => esc_html__( 'Link URL', 'deep' ),
                            'type'          => 'text',
                            'description'   => esc_html__( 'Team member link url', 'deep'),
                            'relation'      => array(
                                'parent'     => 'type',
                                'hide_when'  => array( '9' , '10' , '11' , '12' , '13' , '14' , '15' ),
                            ),
                        ),
                        array(
                            'name'          => 'ourteam_content',
                            'label'         => esc_html__('Content', 'deep'),
                            'type'          => 'textarea',
                            'description'   => esc_html__( 'Our Team Content Goes Here', 'deep'),
                            'relation'      => array(
                                'parent'     => 'type',
                                'show_when'  => array( '7' , '11' , '12' ),
                            ),
                        ),
                        array(
                            'name'          => 'des_top',
                            'label'         => esc_html__( 'Description on image' , 'deep' ),
                            'type'          => 'checkbox',
                            'options'       => array(
                                'enable'   => 'Enable',
                            ),
                            'value'         => 'false',
                            'description'   => esc_html__( 'Transfer box description to the top' , 'deep'),
                            'relation'      => array(
                                'parent'     => 'type',
                                'show_when'  => '8',
                            ),
                        ),
                        array(
                            'name'          => 'a_target',
                            'label'         => esc_html__('Open link in a new tab', 'deep'),
                            'type'          => 'checkbox',
                            'options'       => array(
                                'enable'   => 'Enable',
                            ),                           
                        ),
                        array(
                            'name'          => 'social_type15_var',
                            'label'         => esc_html__('Social Icons', 'deep'),
                            'type'          => 'checkbox',
                            'options'       => array(
                                'enable'   => 'Enable',
                            ),
                            'value'         => 'false',
                            'description'   => wp_kses( __('By enabling this option, Member social networks links will appear.<br/><br/>', 'deep'), array( 'br' => array() ) ),
                            'relation'      => array(
                                'parent'     => 'type',
                                'show_when'  => array( '15' ),
                            ),
                        ),
                        array(
                            'name'          => 'type15_social',
                            'label'         => esc_html__( 'Social Name', 'deep' ),
                            'type'          => 'select',
                            'options'       => array(
                                'twitter'       => 'Twitter',
                                'facebook'      => 'Facebook',
                                'google-plus'   => 'Google Plus',
                                'vimeo'         => 'Vimeo',
                                'dribbble'      => 'Dribbble',
                                'youtube'       => 'Youtube',
                                'pinterest'     => 'Pinterest',
                                'linkedin'      => 'LinkedIn',
                                'instagram'     => 'Instagram',
                                ),
                            'value'         => 'twitter',
                            'description'   => esc_html__( 'Select Social Name', 'deep'),
                            'relation'      => array(
                                'parent'     => 'social_type15_var',
                                'show_when'  => 'enable',
                            ),
                        ),
                        array(
                            'name'          => 'type15_url',
                            'label'         => esc_html__( 'Social URL', 'deep' ),
                            'type'          => 'text',
                            'description'   => esc_html__( 'social URL', 'deep'),
                            'relation'      => array(
                                'parent'     => 'social_type15_var',
                                'show_when'  => 'enable',
                            ),
                        ),
                        array(
                            'name'          => 'social',
                            'label'         => esc_html__('Social Icons', 'deep'),
                            'type'          => 'checkbox',
                            'options'       => array(
                                'enable'   => 'Enable',
                            ),
                            'value'         => 'false',
                            'description'   => wp_kses( __('By enabling this option, Member social networks links will appear.<br/><br/>', 'deep'), array( 'br' => array() ) ),
                            'relation'      => array(
                                'parent'     => 'type',
                                'hide_when'  => array( '9' , '10' , '11' , '15' ),
                            ),
                        ),
                        array(
                            'name'          => 'first_social',
                            'label'         => esc_html__( 'First Social Name', 'deep' ),
                            'type'          => 'select',
                            'options'       => array(
                                'twitter'       => 'Twitter',
                                'facebook'      => 'Facebook',
                                'google-plus'   => 'Google Plus',
                                'vimeo'         => 'Vimeo',
                                'dribbble'      => 'Dribbble',
                                'youtube'       => 'Youtube',
                                'pinterest'     => 'Pinterest',
                                'linkedin'      => 'LinkedIn',
                                'instagram'     => 'Instagram',
                                ),
                            'value'         => 'twitter',
                            'description'   => esc_html__( 'Select Social Name', 'deep'),
                            'relation'      => array(
                                'parent'     => 'social',
                                'show_when'  => 'enable',
                            ),
                        ),
                        array(
                            'name'          => 'first_url',
                            'label'         => esc_html__( 'First Social URL', 'deep' ),
                            'type'          => 'text',
                            'description'   => esc_html__( 'First social URL', 'deep'),
                            'relation'      => array(
                                'parent'     => 'social',
                                'show_when'  => 'enable',
                            ),
                        ),
                        array(
                            'name'          => 'second_social',
                            'label'         => esc_html__( 'Second Social Name', 'deep' ),
                            'type'          => 'select',
                            'options'       => array(
                                'twitter'       => 'Twitter',
                                'facebook'      => 'Facebook',
                                'google-plus'   => 'Google Plus',
                                'vimeo'         => 'Vimeo',
                                'dribbble'      => 'Dribbble',
                                'youtube'       => 'Youtube',
                                'pinterest'     => 'Pinterest',
                                'linkedin'      => 'LinkedIn',
                                'instagram'     => 'Instagram',
                                ),
                            'value'         => 'twitter',
                            'description'   => esc_html__( 'Select Social Name', 'deep'),
                            'relation'      => array(
                                'parent'     => 'social',
                                'show_when'  => 'enable',
                            ),
                        ),
                        array(
                            'name'          => 'second_url',
                            'label'         => esc_html__( 'Second Social URL', 'deep' ),
                            'type'          => 'text',
                            'description'   => esc_html__( 'Second social URL', 'deep'),
                            'relation'      => array(
                                'parent'     => 'social',
                                'show_when'  => 'enable',
                            ),
                        ),
                        array(
                            'name'          => 'third_social',
                            'label'         => esc_html__( 'Third Social Name', 'deep' ),
                            'type'          => 'select',
                            'options'       => array(
                                'twitter'       => 'Twitter',
                                'facebook'      => 'Facebook',
                                'google-plus'   => 'Google Plus',
                                'vimeo'         => 'Vimeo',
                                'dribbble'      => 'Dribbble',
                                'youtube'       => 'Youtube',
                                'pinterest'     => 'Pinterest',
                                'linkedin'      => 'LinkedIn',
                                'instagram'     => 'Instagram',
                                ),
                            'value'         => 'twitter',
                            'description'   => esc_html__( 'Select Social Name', 'deep'),
                            'relation'      => array(
                                'parent'     => 'social',
                                'show_when'  => 'enable',
                            ),
                        ),
                        array(
                            'name'          => 'third_url',
                            'label'         => esc_html__( 'Third Social URL', 'deep' ),
                            'type'          => 'text',
                            'description'   => esc_html__( 'Third social URL', 'deep'),
                            'relation'      => array(
                                'parent'     => 'social',
                                'show_when'  => 'enable',
                            ),
                        ),
                        array(
                            'name'          => 'fourth_social',
                            'label'         => esc_html__( 'Fourth Social Name', 'deep' ),
                            'type'          => 'select',
                            'options'       => array(
                                'twitter'       => 'Twitter',
                                'facebook'      => 'Facebook',
                                'google-plus'   => 'Google Plus',
                                'vimeo'         => 'Vimeo',
                                'dribbble'      => 'Dribbble',
                                'youtube'       => 'Youtube',
                                'pinterest'     => 'Pinterest',
                                'linkedin'      => 'LinkedIn',
                                'instagram'     => 'Instagram',
                                ),
                            'value'         => 'twitter',
                            'description'   => esc_html__( 'Select Social Name', 'deep'),
                            'relation'      => array(
                                'parent'     => 'social',
                                'show_when'  => 'enable',
                            ),
                        ),
                        array(
                            'name'          => 'fourth_url',
                            'label'         => esc_html__( 'Fourth Social URL', 'deep' ),
                            'type'          => 'text',
                            'description'   => esc_html__( 'Fourth social URL', 'deep'),
                            'relation'      => array(
                                'parent'     => 'social',
                                'show_when'  => 'enable',
                            ),
                        ),
                        array(
                            'name'          => 'fifth_social',
                            'label'         => esc_html__( 'Fifth Social Name', 'deep' ),
                            'type'          => 'select',
                            'options'       => array(
                                'twitter'       => 'Twitter',
                                'facebook'      => 'Facebook',
                                'google-plus'   => 'Google Plus',
                                'vimeo'         => 'Vimeo',
                                'dribbble'      => 'Dribbble',
                                'youtube'       => 'Youtube',
                                'pinterest'     => 'Pinterest',
                                'linkedin'      => 'LinkedIn',
                                'instagram'     => 'Instagram',
                                ),
                            'value'         => 'twitter',
                            'description'   => esc_html__( 'Select Social Name', 'deep'),
                            'relation'      => array(
                                'parent'     => 'social',
                                'show_when'  => 'enable',
                            ),
                        ),
                        array(
                            'name'          => 'fifth_url',
                            'label'         => esc_html__( 'Fifth Social URL', 'deep' ),
                            'type'          => 'text',
                            'description'   => esc_html__( 'Fifth social URL', 'deep'),
                            'relation'      => array(
                                'parent'     => 'social',
                                'show_when'  => 'enable',
                            ),
                        ),
                        array(
                            'type'          => 'group',
                            'label'         => esc_html__( 'Our Team Item', 'deep' ),
                            'name'          => 'ourteam_item_type9',
                            'description'   => esc_html__( 'Please Add Your Or Team Item', 'deep' ),
                            'options'       => array('add_text' => __('Add Member', 'deep')),
                            'params' => array(
                                array(
                                    'name'          => 'ourteam_type9_image',
                                    'label'         => esc_html__( 'Select image', 'deep' ),
                                    'type'          => 'attach_image',
                                    'description'   => esc_html__( 'Please Select Your Desired image', 'deep' ),
                                ),
                                array(
                                    'name'          => 'ourteam_type9_name',
                                    'label'         => esc_html__( 'Team Member Name', 'deep' ),
                                    'type'          => 'text',
                                    'description'   => esc_html__( 'Team member name', 'deep'),
                                ),
                                array(
                                    'name'          => 'ourteam_type9_title',
                                    'label'         => esc_html__( 'Team Member Title', 'deep' ),
                                    'type'          => 'text',
                                    'description'   => esc_html__( 'Team Member Title', 'deep' ),
                                ),
                                array(
                                    'name'          => 'ourteam_type9_link',
                                    'label'         => esc_html__( 'Link URL', 'deep' ),
                                    'type'          => 'text',
                                    'description'   => esc_html__( 'Team member link url', 'deep'),
                                ),
                            ),
                        ),
                        array(
                            'type'          => 'group',
                            'label'         => esc_html__( 'Our Team Item', 'deep' ),
                            'name'          => 'ourteam_item_type10',
                            'description'   => esc_html__( 'Please Add Your Or Team Item', 'deep' ),
                            'options'       => array('add_text' => __('Add Member', 'deep')),
                            'params' => array(
                                array(
                                    'name'          => 'ourteam_type10_image',
                                    'label'         => esc_html__( 'Select image', 'deep' ),
                                    'type'          => 'attach_image',
                                    'description'   => esc_html__( 'Please Select Your Desired image', 'deep' ),
                                ),
                                array(
                                    'name'          => 'ourteam_type10_name',
                                    'label'         => esc_html__( 'Team Member Name', 'deep' ),
                                    'type'          => 'text',
                                    'description'   => esc_html__( 'Team Member Name', 'deep' ),
                                ),
                                array(
                                    'name'          => 'ourteam_type10_title',
                                    'label'         => esc_html__( 'Team Member Title', 'deep' ),
                                    'type'          => 'text',
                                    'description'   => esc_html__( 'Team Member Title', 'deep' ),
                                ),
                                array(
                                    'name'          => 'ourteam_type10_content',
                                    'label'         => esc_html__('Content', 'deep'),
                                    'type'          => 'textarea',
                                    'description'   => esc_html__( 'Our Team Content Goes Here', 'deep'),
                                ),
                                array(
                                    'name'          => 'ourteam_type10_social',
                                    'label'         => esc_html__('Social Icons', 'deep'),
                                    'type'          => 'checkbox',
                                    'options'       => array(
                                        'enable'   => 'Enable',
                                    ),
                                    'value'         => 'false',
                                    'description'   => wp_kses( __('By enabling this option, Member social networks links will appear.<br/><br/>', 'deep'), array( 'br' => array() ) ),
                                ),
                                array(
                                    'name'          => 'ourteam_type10_first_social',
                                    'label'         => esc_html__( 'First Social Name', 'deep' ),
                                    'type'          => 'select',
                                    'options'       => array(
                                        'twitter'       => 'Twitter',
                                        'facebook'      => 'Facebook',
                                        'google-plus'   => 'Google Plus',
                                        'vimeo'         => 'Vimeo',
                                        'dribbble'      => 'Dribbble',
                                        'youtube'       => 'Youtube',
                                        'pinterest'     => 'Pinterest',
                                        'linkedin'      => 'LinkedIn',
                                        'instagram'     => 'Instagram',
                                    ),
                                    'value'         => 'twitter',
                                    'description'   => esc_html__( 'Select Social Name', 'deep'),
                                    'relation'      => array(
                                        'parent'     => 'ourteam_item_type10-ourteam_type10_social',
                                        'show_when'  => 'enable',
                                    ),
                                ),
                                array(
                                    'name'          => 'ourteam_type10_first_url',
                                    'label'         => esc_html__( 'First Social URL', 'deep' ),
                                    'type'          => 'text',
                                    'description'   => esc_html__( 'First social URL', 'deep'),
                                    'relation'      => array(
                                        'parent'     => 'ourteam_item_type10-ourteam_type10_social',
                                        'show_when'  => 'enable',
                                    ),
                                ),
                                array(
                                    'name'          => 'ourteam_type10_second_social',
                                    'label'         => esc_html__( 'Second Social Name', 'deep' ),
                                    'type'          => 'select',
                                    'options'       => array(
                                        'twitter'       => 'Twitter',
                                        'facebook'      => 'Facebook',
                                        'google-plus'   => 'Google Plus',
                                        'vimeo'         => 'Vimeo',
                                        'dribbble'      => 'Dribbble',
                                        'youtube'       => 'Youtube',
                                        'pinterest'     => 'Pinterest',
                                        'linkedin'      => 'LinkedIn',
                                        'instagram'     => 'Instagram',
                                    ),
                                    'value'         => 'twitter',
                                    'description'   => esc_html__( 'Select Social Name', 'deep'),
                                    'relation'      => array(
                                        'parent'     => 'ourteam_item_type10-ourteam_type10_social',
                                        'show_when'  => 'enable',
                                    ),
                                ),
                                array(
                                    'name'          => 'ourteam_type10_second_url',
                                    'label'         => esc_html__( 'Second Social URL', 'deep' ),
                                    'type'          => 'text',
                                    'description'   => esc_html__( 'Second social URL', 'deep'),
                                    'relation'      => array(
                                        'parent'     => 'ourteam_item_type10-ourteam_type10_social',
                                        'show_when'  => 'enable',
                                    ),
                                ),
                                array(
                                    'name'          => 'ourteam_type10_third_social',
                                    'label'         => esc_html__( 'Third Social Name', 'deep' ),
                                    'type'          => 'select',
                                    'options'       => array(
                                        'twitter'       => 'Twitter',
                                        'facebook'      => 'Facebook',
                                        'google-plus'   => 'Google Plus',
                                        'vimeo'         => 'Vimeo',
                                        'dribbble'      => 'Dribbble',
                                        'youtube'       => 'Youtube',
                                        'pinterest'     => 'Pinterest',
                                        'linkedin'      => 'LinkedIn',
                                        'instagram'     => 'Instagram',
                                    ),
                                    'value'         => 'twitter',
                                    'description'   => esc_html__( 'Select Social Name', 'deep'),
                                    'relation'      => array(
                                        'parent'     => 'ourteam_item_type10-ourteam_type10_social',
                                        'show_when'  => 'enable',
                                    ),
                                ),
                                array(
                                    'name'          => 'ourteam_type10_third_url',
                                    'label'         => esc_html__( 'Third Social URL', 'deep' ),
                                    'type'          => 'text',
                                    'description'   => esc_html__( 'Third social URL', 'deep'),
                                    'relation'      => array(
                                        'parent'     => 'ourteam_item_type10-ourteam_type10_social',
                                        'show_when'  => 'enable',
                                    ),
                                ),
                                array(
                                    'name'          => 'ourteam_type10_fourth_social',
                                    'label'         => esc_html__( 'Fourth Social Name', 'deep' ),
                                    'type'          => 'select',
                                    'options'       => array(
                                        'twitter'       => 'Twitter',
                                        'facebook'      => 'Facebook',
                                        'google-plus'   => 'Google Plus',
                                        'vimeo'         => 'Vimeo',
                                        'dribbble'      => 'Dribbble',
                                        'youtube'       => 'Youtube',
                                        'pinterest'     => 'Pinterest',
                                        'linkedin'      => 'LinkedIn',
                                        'instagram'     => 'Instagram',
                                    ),
                                    'value'         => 'twitter',
                                    'description'   => esc_html__( 'Select Social Name', 'deep'),
                                    'relation'      => array(
                                        'parent'     => 'ourteam_item_type10-ourteam_type10_social',
                                        'show_when'  => 'enable',
                                    ),
                                ),
                                array(
                                    'name'          => 'ourteam_type10_fourth_url',
                                    'label'         => esc_html__( 'Fourth Social URL', 'deep' ),
                                    'type'          => 'text',
                                    'description'   => esc_html__( 'Fourth social URL', 'deep'),
                                    'relation'      => array(
                                        'parent'     => 'ourteam_item_type10-ourteam_type10_social',
                                        'show_when'  => 'enable',
                                    ),
                                ),
                            ),
                        ),
                    ),
                    'Class & ID' => array(
                        array(
                            'name'          => 'shortcodeclass',
                            'label'         => esc_html__('Extra Class', 'deep'),
                            'type'          => 'text',
                        ),
                        array(
                            'name'          => 'shortcodeid',
                            'label'         => esc_html__('ID', 'deep'),
                            'type'          => 'text',
                        ),
                    ),
                )
            ),
        )
    ); // End add map
 } // End if