<?php
vc_map( array(
	'name'			=> esc_html__( 'Pricing Plan', 'deep' ),
	'base'			=> 'pricing-plan',
	'description'	=> esc_html__( 'Pricing Plan', 'deep' ),
	'icon'			=> 'webnus-pricing-plan',
	'category'		=> esc_html__( 'Webnus Shortcodes', 'deep' ),
	'params'		=> array(
		array(
			'heading'		=> esc_html__( 'Type', 'deep' ),
			'description'	=> esc_html__( 'You can choose from these pre-designed types.', 'deep'),
			'type'			=> 'dropdown',
			'param_name'	=> 'type',
			'value'			=> array(
				esc_html__( 'Type 1', 'deep' ) => '1',
				esc_html__( 'Type 2', 'deep' ) => '2',
				esc_html__( 'Type 3', 'deep' ) => '3',
			),
		),
		array(
			'type' 			=> 'textfield',
			'heading' 		=> esc_html__( 'Title', 'deep' ),
			'param_name'	=> 'title',
			'value'			=>'',
			'description'	=> esc_html__( 'Enter title pricing table', 'deep'),
		),
		array(
			'heading'		=> esc_html__( 'Features', 'deep' ),
			'type'			=> 'param_group',
			'param_name'	=> 'features',
			'params' 		=> array(
				array(
					'heading'	 => esc_html__( 'Feature Item Icon', 'deep' ),
					'type'		 => 'dropdown',
					'param_name' => 'feature_icon',
					'value'		 => array(
						esc_html__( 'Empty', 'deep' )			=> 'empty-icon',
						esc_html__( 'Available', 'deep' )		=> 'available-icon',
						esc_html__( 'Not Available', 'deep' )	=> 'not-available-icon',
					),
					'admin_label'	=> true,
				),
				array(
					'heading'		=> esc_html__( 'Feature Item Text', 'deep' ),
					'type'			=> 'textfield',
					'param_name'	=> 'feature_item',
					'admin_label'	=> true,
				),
			),
			'dependency'	=> array( 'element' => 'type', 'value' => array( '2' , '3' ) ),
		),
		array(
			'type'			=> 'textarea',
			'heading'		=> esc_html__( 'Content', 'deep' ),
			'param_name'	=> 'text_content',
			'value'			=> '',
			'description'	=> esc_html__( 'Enter the content Name', 'deep' ),
			'dependency'	=> array( 'element' => 'type', 'value' => '1' ),	
		),
		array(
			'type'			=> 'dropdown',
			'heading'		=> esc_html__( 'Flag', 'deep' ),
			'param_name'	=> 'flag',
			'value'		 	=> array(
				esc_html__( 'None', 'deep' )		=> 'none',
				esc_html__( 'Featured', 'deep' )	=> 'Featured',
				esc_html__( 'Popular', 'deep' )		=> 'Popular',
			),
			'description' 	=> esc_html__( 'Enter the content Name', 'deep' ),
			'dependency'	=> array( 'element' => 'type' , 'value' => '2' ),	
		),
		array(
			'type'			=> 'attach_image',
			'heading'		=> esc_html__( 'Background Image' , 'deep'),
			'param_name'	=> 'img',
			'value'			=> '',
			'description'	=> esc_html__( 'Pricing Plan backgound Image', 'deep' ),
			'dependency'	=> array( 'element' => 'type' , 'value' => '3' ),
		),
		array(
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'Price', 'deep' ),
			'param_name'	=> 'price',
			'value'			=> '$',
			'description'	=> esc_html__( 'Enter the price Name', 'deep' ),
			),
		array(
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'Period', 'deep' ),
			'param_name'	=> 'period',
			'value'			=> '',
			'description'	=> esc_html__( 'Example: Yearly', 'deep' ),
			'dependency'	=> array( 'element' => 'type' , 'value' => '3'),
		),
		array(
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'Link Text', 'deep' ),
			'param_name'	=> 'link_text',
			'value'			=> '',
			'description'	=> esc_html__( 'Link Text', 'deep' ),	
		),
		array(
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'Link URL', 'deep' ),
			'param_name'	=> 'link_url',
			'value'			=> '',
			'description'	=> esc_html__( 'Link URL (http://example.com )', 'deep'),	
		),
		array(
            'type'          => 'checkbox',
            'heading'       => esc_html__( 'Open link in a new tab? ', 'deep' ),
            'description'   => esc_html__( 'Add Target = _blank', 'deep'),
            'param_name'    => 'link_target',
            'std'           => 'false',
		),
		// Class & ID 
		array(
			'group'			=> 'Class & ID',
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'Extra Class', 'deep' ),
			'param_name'	=> 'shortcodeclass',
			'value'			=> '',
			'edit_field_class'	=> 'vc_col-sm-6 vc_column paddingtop',
		),
		array(
			'group'			=> 'Class & ID',
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'ID', 'deep' ),
			'param_name'	=> 'shortcodeid',
			'value'			=> '',
			'edit_field_class'	=> 'vc_col-sm-6 vc_column paddingtop',
		),
) ) );