<?php
vc_map( array(
	'name' 			 =>'Our Team',
	'base' 			 => 'ourteam',
	"description"	 => "Team member",
	'category' 		 => esc_html__( 'Webnus Shortcodes', 'deep' ),
	"icon" 			 => "webnus-ourteam",
	'params'		 =>array(
		array(
			"type" => "dropdown",
			"heading" => esc_html__( "Type", 'deep' ),
			"param_name" => "type",
			"value" => array(
				"Type 1"=>"1",
				"Type 2"=>"2",
				"Type 3"=>"3",
				"Type 4"=>"4",
				"Type 5"=>"5",
				"Type 6"=>"6",
				"Type 7"=>"7",
				"Type 8"=>"8",
				"Type 9"=>"9",
				"Type 10"=>"10",
				"Type 11"=>"11",
				"Type 12"=>"12",
				"Type 13"=>"13",
				"Type 14"=>"14",
				"Type 15"=>"15",
			),
			"description" => esc_html__( "You can choose from these pre-designed types.", 'deep'),
			'admin_label' => true,
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Team Image', 'deep' ),
			'param_name' => 'img',
			'value'=>'',
			'description' => esc_html__( 'Team member image', 'deep'),
			'dependency' => array( 
				'element' => 'type', 
				'value' => array( '1','2','3','4','5','6','7','8','11','12','13','14','15')
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Image Size', 'deep' ),
			'param_name' => 'thumbnail',
			'value'=>'',
			'description' => esc_html__( 'Enter image size (Example: 200x100 (Width x Height)).', 'deep'),
			'dependency' => array( 
				'element' => 'type', 
				'value' => array( '1','2','3','4','5','6','7','8','11','14')
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Number', 'deep' ),
			'param_name' => 'number',
			'value'=>'',
			'dependency' => array( 
				'element' => 'type', 
				'value' => '13',
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Team Member Name', 'deep' ),
			'param_name' => 'name',
			'value'=>'',
			'description' => esc_html__( 'Team member name', 'deep'),
			'dependency' => array( 
				'element' => 'type', 
				'value' => array( '1','2','3','4','5','6','7','8','11','13','14','15')
			),
			'admin_label' => true,
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Team Member Title', 'deep' ),
			'param_name' => 'title',
			'value'=>'',
			'description' => esc_html__( 'Team member title', 'deep'),
			'dependency' => array( 
				'element' => 'type', 
				'value' => array( '1','2','3','4','5','6','7','8','11','12','13','14','15')
			),
		),
		array(
			'type' => 'textarea',
			'heading' => esc_html__( 'Team Member Description Text', 'deep' ),
			'param_name' => 'text',
			'value'=>'',
			'description' => esc_html__( 'Team member description text', 'deep'),
			'dependency'	=> array( 'element' => 'type', 'value' => '6' ),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Link URL', 'deep' ),
			'param_name' => 'link',
			'value'=>'',
			'description' => esc_html__( 'Team member link url', 'deep'),
			'dependency' => array( 
				'element' => 'type', 
				'value' => array( '1','2','3','4','5','6','7','8')
			),
		),
		array(
			'heading' => esc_html__('Open link in a new tab', 'deep'),			
			'param_name' => 'a_target',
			'value' => array( esc_html__( 'Enable', 'deep' ) => 'enable'),
			'type' => 'checkbox',					
		),
		array(
			'type'          => 'textarea',
			'heading'       => esc_html__('Content', 'deep'),
			'param_name'    => 'ourteam_content',
			'value'         => '',
			'description'   => esc_html__( 'Our Team Content Goes Here', 'deep'),
			'dependency'    => array(
				'element' => 'type',
				'value'   => array( '7','11','12' )
			),
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__( 'Description on image' , 'deep' ),
			'description' => esc_html__( 'Transfer box description to the top' , 'deep'),
			'param_name' => 'des_top',
			'dependency' => array( 
				'element' => 'type', 
				'value' => array( '8' )
			),
			'value' => array(
				esc_html__( 'Enable' , 'deep') => 'enable'
			)
		),
		array(
			'heading' => esc_html__('Social Icons', 'deep'),
			'description' => wp_kses( __('By enabling this option, social networks link will appear.<br/><br/>', 'deep'), array( 'br' => array() ) ),
			'param_name' => 'social_type15_var',
			'value' => array( esc_html__( 'Enable', 'deep' ) => 'enable'),
			'type' => 'checkbox',
			'std' => '',
			'dependency' => array( 
				'element' => 'type', 
				'value' => '15',
			),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Social Name', 'deep' ),
			'param_name' => 'type15_social',
			'value' => array(
				"Twitter"		=>'twitter',
				"Facebook"		=>'facebook',
				"Vimeo"			=>'vimeo',
				"Dribbble"		=>'dribbble',
				"Youtube"		=>'youtube',
				"Pinterest"		=>'pinterest',
				"LinkedIn"		=>'linkedin',
				"Instagram"		=>'instagram',
			),
			'std' => 'twitter',
			'description' => esc_html__( 'Select Social Name', 'deep'),
			'dependency' => array('element'=>'social_type15_var','value'=>array('enable')),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Social URL', 'deep' ),
			'param_name' => 'type15_url',
			'value'=>'',
			'description' => esc_html__( 'Social URL', 'deep'),
			'dependency' => array('element'=>'social_type15_var','value'=>array('enable')),
		),
		array(
			'heading' => esc_html__('Social Icons', 'deep'),
			'description' => wp_kses( __('By enabling this option, Member social networks links will appear.<br/><br/>', 'deep'), array( 'br' => array() ) ),
			'param_name' => 'social',
			'value' => array( esc_html__( 'Enable', 'deep' ) => 'enable'),
			'type' => 'checkbox',
			'std' => '',
			'dependency' => array( 
				'element' => 'type', 
				'value' => array( '1','2','3','4','5','6','7','8','12','13','14')
			),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'First Social Name', 'deep' ),
			'param_name' => 'first_social',
			'value' => array(
				"Twitter"		=>'twitter',
				"Facebook"		=>'facebook',
				"Vimeo"			=>'vimeo',
				"Dribbble"		=>'dribbble',
				"Youtube"		=>'youtube',
				"Pinterest"		=>'pinterest',
				"LinkedIn"		=>'linkedin',
				"Instagram"		=>'instagram',
			),
			'std' => 'twitter',
			'description' => esc_html__( 'Select Social Name', 'deep'),
			'dependency' => array('element'=>'social','value'=>array('enable')),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'First Social URL', 'deep' ),
			'param_name' => 'first_url',
			'value'=>'',
			'description' => esc_html__( 'First social URL', 'deep'),
			'dependency' => array('element'=>'social','value'=>array('enable')),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Second Social Name', 'deep' ),
			'param_name' => 'second_social',
			'value' => array(
				"Twitter"=>'twitter',
				"Facebook"=>'facebook',
				"Vimeo"=>'vimeo',
				"Dribbble"=>'dribbble',
				"Youtube"=>'youtube',
				"Pinterest"=>'pinterest',
				"LinkedIn"=>'linkedin',
				"Instagram"=>'instagram',
			),
			'std' => 'facebook',

			'description' => esc_html__( 'Select Social Name', 'deep'),
			'dependency' => array('element'=>'social','value'=>array('enable')),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Second Social URL', 'deep' ),
			'param_name' => 'second_url',
			'value'=>'',
			'description' => esc_html__( 'Second social URL', 'deep'),
			'dependency' => array('element'=>'social','value'=>array('enable')),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Third Social Name', 'deep' ),
			'param_name' => 'third_social',
			'value' => array(
				"Twitter"=>'twitter',
				"Facebook"=>'facebook',
				"Vimeo"=>'vimeo',
				"Dribbble"=>'dribbble',
				"Youtube"=>'youtube',
				"Pinterest"=>'pinterest',
				"LinkedIn"=>'linkedin',
				"Instagram"=>'instagram',
			),
			'std' => 'twitter',
			'description' => esc_html__( 'Select Social Name', 'deep'),
			'dependency' => array('element'=>'social','value'=>array('enable')),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Third Social URL', 'deep' ),
			'param_name' => 'third_url',
			'value'=>'',
			'description' => esc_html__( 'Third social URL', 'deep'),
			'dependency' => array('element'=>'social','value'=>array('enable')),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Fourth Social Name', 'deep' ),
			'param_name' => 'fourth_social',
			'value' => array(
				"Twitter"=>'twitter',
				"Facebook"=>'facebook',
				"Vimeo"=>'vimeo',
				"Dribbble"=>'dribbble',
				"Youtube"=>'youtube',
				"Pinterest"=>'pinterest',
				"LinkedIn"=>'linkedin',
				"Instagram"=>'instagram',
			),
			'std' => 'linkedin',
			'description' => esc_html__( 'Select Social Name', 'deep'),
			'dependency' => array('element'=>'social','value'=>array('enable')),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Fourth Social URL', 'deep' ),
			'param_name' => 'fourth_url',
			'value'=>'',
			'description' => esc_html__( 'Fourth social URL', 'deep'),
			'dependency' => array('element'=>'social','value'=>array('enable')),
		),
		array( 
			'type' => 'dropdown',
			'heading' => esc_html__( 'Fifth Social Name', 'deep' ),
			'param_name' => 'fifth_social',
			'value' => array(
				"Twitter"=>'twitter',
				"Facebook"=>'facebook',
				"Vimeo"=>'vimeo',
				"Dribbble"=>'dribbble',
				"Youtube"=>'youtube',
				"Pinterest"=>'pinterest',
				"LinkedIn"=>'linkedin',
				"Instagram"=>'instagram',
			),
			'std' => 'vimeo',
			'description' => esc_html__( 'Select Social Name', 'deep'),
			'dependency' => array('element'=>'social','value'=>array('enable')),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Fifth Social URL', 'deep' ),
			'param_name' => 'fifth_url',
			'value'=>'',
			'description' => esc_html__( 'Fourth social URL', 'deep'),
			'dependency' => array('element'=>'social','value'=>array('enable')),
		),
		array(
			'type'			=> 'param_group',
			'heading'		=> esc_html__( 'Our Team Item', 'deep' ),
			'description'	=> esc_html__( 'Please Add Your Or Team Item', 'deep' ),
			'dependency' 	=> array('element'=>'type','value'=>'9'),
			'param_name'	=> 'ourteam_item_type9',
			'value' 		=> '',
			'params'		=> array(
				array(
					'type'			=> 'attach_image',
					'heading'		=> esc_html__( 'Select image', 'deep' ),
					'description'	=> esc_html__( 'Please Select Your Desired image', 'deep' ),
					'param_name'	=> 'ourteam_type9_image',
					'value'			=> '',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Team Member Name', 'deep' ),
					'param_name' => 'ourteam_type9_name',
					'value'=>'',
					'description' => esc_html__( 'Team member name', 'deep'),
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Team Member Title', 'deep' ),
					'param_name' => 'ourteam_type9_title',
					'value'=>'',
					'description' => esc_html__( 'Team member title', 'deep'),
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Link URL', 'deep' ),
					'param_name' => 'ourteam_type9_link',
					'value'=>'',
					'description' => esc_html__( 'Team member link url', 'deep'),
				),
			),
		), 
		array(
			'type'			=> 'param_group',
			'heading'		=> esc_html__( 'Our Team Item', 'deep' ),
			'description'	=> esc_html__( 'Please Add Your Or Team Item', 'deep' ),
			'dependency' 	=> array('element'=>'type','value'=>'10'),
			'param_name'	=> 'ourteam_item_type10',
			'value' 		=> '',
			'params'		=> array(
				array(
					'type'			=> 'attach_image',
					'heading'		=> esc_html__( 'Select image', 'deep' ),
					'description'	=> esc_html__( 'Please Select Your Desired image', 'deep' ),
					'param_name'	=> 'ourteam_type10_image',
					'value'			=> '',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Team Member Name', 'deep' ),
					'param_name' => 'ourteam_type10_name',
					'value'=>'',
					'description' => esc_html__( 'Team member name', 'deep')
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Team Member Title', 'deep' ),
					'param_name' => 'ourteam_type10_title',
					'value'=>'',
					'description' => esc_html__( 'Team member title', 'deep'),
				),
				array(
					'type'			=> 'textarea',
					'heading'		=> esc_html__('Content', 'deep'),
					'param_name'	=> 'ourteam_type10_content',
					'value'			=> '',
					'description'	=> esc_html__( 'Our Team Content Goes Here', 'deep'),
				),
				array(
					'heading' => esc_html__('Social Icons', 'deep') ,
					'description' => wp_kses( __('By enabling this option, Member social networks links will appear.<br/><br/>', 'deep'), array( 'br' => array() ) ),
					'param_name' => 'ourteam_type10_social',
					'value' => array( esc_html__( 'Enable', 'deep' ) => 'enable'),
					'type' => 'checkbox',
					'std' => '',
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'First Social Name', 'deep' ),
					'param_name' => 'ourteam_type10_first_social',
					'value' => array(
						"Twitter"		=>'twitter',
						"Facebook"		=>'facebook',
						"Vimeo"			=>'vimeo',
						"Dribbble"		=>'dribbble',
						"Youtube"		=>'youtube',
						"Youtube"		=>'youtube',
						"Pinterest"		=>'pinterest',
						"LinkedIn"		=>'linkedin',
						"Instagram"		=>'instagram',
					),
					'std' => 'twitter',
					'description' => esc_html__( 'Select Social Name', 'deep'),
					'dependency' => array('element'=>'ourteam_type10_social','value'=>array('enable')),
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'First Social URL', 'deep' ),
					'param_name' => 'ourteam_type10_first_url',
					'value'=>'',
					'description' => esc_html__( 'First social URL', 'deep'),
					'dependency' => array('element'=>'ourteam_type10_social','value'=>array('enable')),
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Second Social Name', 'deep' ),
					'param_name' => 'ourteam_type10_second_social',
					'value' => array(
						"Twitter"=>'twitter',
						"Facebook"=>'facebook',
						"Vimeo"=>'vimeo',
						"Dribbble"=>'dribbble',
						"Youtube"=>'youtube',
						"Youtube"=>'youtube',
						"Pinterest"=>'pinterest',
						"LinkedIn"=>'linkedin',
						"Instagram"=>'instagram',
					),
					'std' => 'facebook',
					'description' => esc_html__( 'Select Social Name', 'deep'),
					'dependency' => array('element'=>'ourteam_type10_social','value'=>array('enable')),
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Second Social URL', 'deep' ),
					'param_name' => 'ourteam_type10_second_url',
					'value'=>'',
					'description' => esc_html__( 'Second social URL', 'deep'),
					'dependency' => array('element'=>'ourteam_type10_social','value'=>array('enable')),
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Third Social Name', 'deep' ),
					'param_name' => 'ourteam_type10_third_social',
					'value' => array(
						"Twitter"=>'twitter',
						"Facebook"=>'facebook',
						"Vimeo"=>'vimeo',
						"Dribbble"=>'dribbble',
						"Youtube"=>'youtube',
						"Youtube"=>'youtube',
						"Pinterest"=>'pinterest',
						"LinkedIn"=>'linkedin',
						"Instagram"=>'instagram',
					),
					'std' => 'twitter',
					'description' => esc_html__( 'Select Social Name', 'deep'),
					'dependency' => array('element'=>'ourteam_type10_social','value'=>array('enable')),
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Third Social URL', 'deep' ),
					'param_name' => 'ourteam_type10_third_url',
					'value'=>'',
					'description' => esc_html__( 'Third social URL', 'deep'),
					'dependency' => array('element'=>'ourteam_type10_social','value'=>array('enable')),
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Fourth Social Name', 'deep' ),
					'param_name' => 'ourteam_type10_fourth_social',
					'value' => array(
						"Twitter"=>'twitter',
						"Facebook"=>'facebook',
						"Vimeo"=>'vimeo',
						"Dribbble"=>'dribbble',
						"Youtube"=>'youtube',
						"Youtube"=>'youtube',
						"Pinterest"=>'pinterest',
						"LinkedIn"=>'linkedin',
						"Instagram"=>'instagram',
					),
					'std' => 'linkedin',
					'description' => esc_html__( 'Select Social Name', 'deep'),
					'dependency' => array('element'=>'ourteam_type10_social','value'=>array('enable')),
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Fourth Social URL', 'deep' ),
					'param_name' => 'ourteam_type10_fourth_url',
					'value'=>'',
					'description' => esc_html__( 'Fourth social URL', 'deep'),
					'dependency' => array('element'=>'ourteam_type10_social','value'=>array('enable')),
				),
			),
		),
		// Class & ID 
		array(
			'group'			=> 'Class & ID',
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'Extra Class', 'deep' ),
			'param_name'	=> 'shortcodeclass',
			'value'			=> '',
			'edit_field_class'	=> 'vc_col-sm-6 vc_column paddingtop',
		),
		array(
			'group'			=> 'Class & ID',
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'ID', 'deep' ),
			'param_name'	=> 'shortcodeid',
			'value'			=> '',
			'edit_field_class'	=> 'vc_col-sm-6 vc_column paddingtop',
		),
	),
) );